## org.h2.command.dml
Class BackupCommand

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.dml.BackupCommand

    public class BackupCommand

extends Prepared

This class represents the statement BACKUP

Field Summary

Fields inherited from class org.h2.command.Prepared
`headPos, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`BackupCommand(Session session)`

Method Summary
`static java.lang.String` `correctFileName(java.lang.String f)` Fix the file name, replacing backslash with slash.
`boolean` `isTransactional()` Check if this command is transactional.
`boolean` `needRecompile()` Check if the statement needs to be re-compiled.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setFileName(Expression fileName)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, isReadOnly, prepare, query, setCommand, setCurrentRowNumber, setHeadPos, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BackupCommand

    public BackupCommand(Session session)

Method Detail

### setFileName

    public void setFileName(Expression fileName)

### update

    public int update()
               throws java.sql.SQLException

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count
  Throws:
    `java.sql.SQLException` - if it is a query

### isTransactional

    public boolean isTransactional()

  Description copied from class: `Prepared`
  Check if this command is transactional. If it is not, then it forces the current transaction to commit.

  Specified by:
    `isTransactional` in class `Prepared`
  Returns:
    true if it is

### correctFileName

    public static java.lang.String correctFileName(java.lang.String f)

  Fix the file name, replacing backslash with slash.

  Parameters:
    `f` - the file name
  Returns:
    the corrected file name

### needRecompile

    public boolean needRecompile()

  Description copied from class: `Prepared`
  Check if the statement needs to be re-compiled.

  Overrides:
    `needRecompile` in class `Prepared`
  Returns:
    true if it must

### queryMeta

    public ResultInterface queryMeta()

  Description copied from class: `Prepared`
  Get an empty result set containing the meta data.

  Specified by:
    `queryMeta` in class `Prepared`
  Returns:
    the result set